commit:     6a228c11ec908ae30e7224667d08729527e6a3c8
Author:     Andrew Savchenko <bircoph <AT> gmail <DOT> com>
AuthorDate: Sun Jul  6 12:49:15 2014 +0000
Commit:     Andrew Savchenko <bircoph <AT> gmail <DOT> com>
CommitDate: Sun Jul  6 12:49:15 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=6a228c11

sci-physics/root: Backport fixes from ROOT-6 branch

Backport fixes for .credits, .demos, .license from ROOT-6 branch.
A patch was backported by upstream too.

---
 sci-physics/root/ChangeLog                         |   8 +
 sci-physics/root/files/root-5.32.00-dotfont.patch  |  58 +++
 .../root/files/root-5.32.00-prop-flags.patch       |  15 +
 .../root/files/root-5.34.05-nobyte-compile.patch   | 137 ++++++++
 .../root/files/root-5.34.18-tutorials-path.patch   |  94 +++++
 sci-physics/root/metadata.xml                      |   2 +
 sci-physics/root/root-5.34.18-r2.ebuild            | 387 +++++++++++++++++++++
 7 files changed, 701 insertions(+)

diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
index 0af159b..e2b9be7 100644
--- a/sci-physics/root/ChangeLog
+++ b/sci-physics/root/ChangeLog
@@ -2,6 +2,14 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: /var/cvsroot/gentoo-x86/sci-physics/root/ChangeLog,v 1.96 
2012/03/29 18:21:49 bicatali Exp $
 
+*root-5.34.18-r2 (06 Jul 2014)
+
+  06 Jul 2014; Andrew Savchenko <birc...@gmail.com> +root-5.34.18-r2.ebuild,
+  +files/root-5.32.00-dotfont.patch, +files/root-5.32.00-prop-flags.patch,
+  +files/root-5.34.05-nobyte-compile.patch,
+  +files/root-5.34.18-tutorials-path.patch, metadata.xml:
+  Backport fixes for .credits, .demos, .license from ROOT-6 branch.
+
   06 Jul 2014; Andrew Savchenko <birc...@gmail.com> root-6.00.01-r1.ebuild,
   root-6.00.02.ebuild, root-9999.ebuild:
   Update LICENSE: GPL-2 code is not used during compilation.

diff --git a/sci-physics/root/files/root-5.32.00-dotfont.patch 
b/sci-physics/root/files/root-5.32.00-dotfont.patch
new file mode 100644
index 0000000..85d6dea
--- /dev/null
+++ b/sci-physics/root/files/root-5.32.00-dotfont.patch
@@ -0,0 +1,58 @@
+--- root/html/src/TClassDocOutput.cxx.orig     2012-05-25 16:18:10.000000000 
+0400
++++ root/html/src/TClassDocOutput.cxx  2012-05-29 21:36:53.813593012 +0400
+@@ -625,7 +625,7 @@
+       << "size=\"8,10\";" << endl
+       << "ratio=auto;" << endl
+       << "margin=0;" << endl
+-      << "node [shape=plaintext,fontsize=40,width=4,height=0.75];" << endl
++      << "node 
[shape=plaintext,fontsize=40,width=4,height=0.75,fontname=\"DejaVu Serif\"];" 
<< endl
+       << "\"" << fCurrentClass->GetName() << "\" [shape=ellipse];" << endl;
+ 
+    std::stringstream ssDep;
+@@ -704,7 +704,7 @@
+             outdot << ";" << endl;
+          } else if (writeAndMoreFor) {
+                outdot << "  \"...andmore" << writeAndMoreFor->GetName()
+-                      << "\" [label=\"...and 
more\",fontname=\"Times-Italic\",fillcolor=lightgrey,style=filled];" << endl;
++                      << "\" [label=\"...and more\",fontname=\"DejaVu Serif 
Italic\",fillcolor=lightgrey,style=filled];" << endl;
+          }
+       }
+       if (!levelExists) break;
+@@ -733,7 +733,7 @@
+       << "ranksep=0.1;" << endl
+       << "nodesep=0;" << endl
+       << "margin=0;" << endl;
+-   outdot << "  node 
[style=filled,width=0.7,height=0.15,fixedsize=true,shape=plaintext,fontsize=10];"
 << endl;
++   outdot << "  node 
[style=filled,width=0.7,height=0.15,fixedsize=true,shape=plaintext,fontsize=10,fontname=\"DejaVu
 Serif\"];" << endl;
+ 
+    std::stringstream ssDep;
+    const int numColumns = 3;
+@@ -939,7 +939,7 @@
+       << "ranksep=0;" << endl
+       << "nodesep=0;" << endl
+       << "size=\"8,10\";" << endl
+-      << "node [fontsize=20,shape=plaintext];" << endl;
++      << "node [fontsize=20,shape=plaintext,fontname=\"DejaVu Serif\"];" << 
endl;
+ 
+    for (std::list<std::string>::iterator iFile = listFilesToParse.begin();
+       iFile != listFilesToParse.end(); ++iFile) {
+@@ -999,7 +999,8 @@
+       << "ranksep=0.7;" << endl
+       << "nodesep=0.3;" << endl
+       << "size=\"8,8\";" << endl
+-      << "ratio=compress;" << endl;
++      << "ratio=compress;" << endl
++      << "node [fontname=\"DejaVu Serif\"];" << endl;
+ 
+    TString libs(fCurrentClass->GetSharedLibs());
+    outdot << "\"All Libraries\" 
[URL=\"LibraryDependencies.html\",shape=box,rank=max,fillcolor=lightgray,style=filled];"
 << endl;
+@@ -1109,7 +1110,8 @@
+ 
+    dotout << "digraph G {" << endl
+           << "ratio=auto;" << endl
+-          << "rankdir=RL;" << endl;
++          << "rankdir=RL;" << endl
++          << "node [fontname=\"DejaVu Serif\"];" << endl;
+ 
+    // loop on all classes
+    TClassDocInfo* cdi = 0;

diff --git a/sci-physics/root/files/root-5.32.00-prop-flags.patch 
b/sci-physics/root/files/root-5.32.00-prop-flags.patch
new file mode 100644
index 0000000..7dfeb1c
--- /dev/null
+++ b/sci-physics/root/files/root-5.32.00-prop-flags.patch
@@ -0,0 +1,15 @@
+--- root/config/Makefile.in.orig       2013-01-21 22:04:43.011452938 +0400
++++ root/config/Makefile.in    2013-01-21 22:04:18.027352209 +0400
+@@ -25,9 +25,9 @@
+ USECONFIG      := @useconfig@
+ MKLIBOPTIONS   := @mkliboption@
+ 
+-EXTRA_CFLAGS   := -Iinclude @cflags@
+-EXTRA_CXXFLAGS := -Iinclude @cflags@
+-EXTRA_LDFLAGS  := @ldflags@
++EXTRA_CFLAGS   := -Iinclude @cflags@ $(CFLAGS)
++EXTRA_CXXFLAGS := -Iinclude @cflags@ $(CXXFLAGS)
++EXTRA_LDFLAGS  := @ldflags@ $(LDFLAGS)
+ WINRTDEBUG     := @winrtdebug@
+ 
+ GLBPATCHFLAGS  := @glbpatchcflags@

diff --git a/sci-physics/root/files/root-5.34.05-nobyte-compile.patch 
b/sci-physics/root/files/root-5.34.05-nobyte-compile.patch
new file mode 100644
index 0000000..ec67a15
--- /dev/null
+++ b/sci-physics/root/files/root-5.34.05-nobyte-compile.patch
@@ -0,0 +1,137 @@
+diff -Naur root.as-needed/Makefile root/Makefile
+--- a/Makefile.orig    2013-02-15 02:27:56.000000000 +0400
++++ b/Makefile 2013-02-23 02:22:14.556465852 +0400
+@@ -1258,10 +1258,7 @@
+          for lib in $(RFLX_GRFLXPY); do \
+             rm -f $(DESTDIR)$(LIBDIR)/$${lib#lib/}; \
+          done; \
+-         for lib in $(RFLX_GRFLXPYC); do \
+-            rm -f $(DESTDIR)$(LIBDIR)/$${lib#lib/}; \
+-         done; \
+-         if test "x$(RFLX_GRFLXPY)$(RFLX_GRFLXPYC)" != "x"; then \
++         if test "x$(RFLX_GRFLXPY)" != "x"; then \
+             dir=$(subst lib/,,$(RFLX_GRFLXDD)); \
+             while test "x$${dir}" != "x" && \
+                test -d $(DESTDIR)$(LIBDIR)/$${dir} && \
+diff -Naur root.as-needed/bindings/pyroot/Module.mk 
root/bindings/pyroot/Module.mk
+--- root.as-needed/bindings/pyroot/Module.mk   2011-07-10 10:42:48.991561304 
+0400
++++ root/bindings/pyroot/Module.mk     2011-07-10 10:43:21.493339703 +0400
+@@ -48,8 +48,6 @@
+ ROOTPY       := $(subst $(MODDIR),$(LPATH),$(ROOTPYS))
+ $(LPATH)/%.py: $(MODDIR)/%.py; cp $< $@
+ endif
+-ROOTPYC      := $(ROOTPY:.py=.pyc)
+-ROOTPYO      := $(ROOTPY:.py=.pyo)
+ 
+ # used in the main Makefile
+ ALLHDRS      += $(patsubst $(MODDIRI)/%.h,include/%.h,$(PYROOTH))
+@@ -68,10 +66,8 @@
+ include/%.h:    $(PYROOTDIRI)/%.h
+               cp $< $@
+ 
+-%.pyc: %.py;    python -c 'import py_compile; py_compile.compile( "$<" )'
+-%.pyo: %.py;    python -O -c 'import py_compile; py_compile.compile( "$<" )'
+ 
+-$(PYROOTLIB):   $(PYROOTO) $(PYROOTDO) $(ROOTPY) $(ROOTPYC) $(ROOTPYO) \
++$(PYROOTLIB):   $(PYROOTO) $(PYROOTDO) $(ROOTPY) \
+                 $(ROOTLIBSDEP) $(PYTHONLIBDEP)
+               @$(MAKELIB) $(PLATFORM) $(LD) "$(LDFLAGS)" \
+                 "$(SOFLAGS)" libPyROOT.$(SOEXT) $@ \
+@@ -113,7 +109,7 @@
+ 
+ distclean-$(MODNAME): clean-$(MODNAME)
+               @rm -f $(PYROOTDEP) $(PYROOTDS) $(PYROOTDH) $(PYROOTLIB) \
+-                 $(ROOTPY) $(ROOTPYC) $(ROOTPYO) $(PYROOTMAP) \
++                 $(ROOTPY) $(PYROOTMAP) \
+                  $(PYROOTPYD) $(PYTHON64DEP) $(PYTHON64)
+ 
+ distclean::     distclean-$(MODNAME)
+diff -Naur root.as-needed/build/package/debian/rules 
root/build/package/debian/rules
+--- root.as-needed/build/package/debian/rules  2011-07-10 10:42:49.241549346 
+0400
++++ root/build/package/debian/rules    2011-07-10 10:48:06.989670589 +0400
+@@ -691,10 +691,6 @@
+               -X$(SYSCONFDIR)/root/system.rootauthrc                  \
+               -X$(SYSCONFDIR)/root/system.rootdaemonrc                \
+               -X$(PREFIX)/lib/root/$(SOVERS)/libAfterImage.a          \
+-              -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyc             \
+-              -X$(PREFIX)/lib/root/$(SOVERS)/PyCintex.pyo             \
+-              -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyc                 \
+-              -X$(PREFIX)/lib/root/$(SOVERS)/ROOT.pyo                 \
+               -X$(PREFIX)/lib/root/$(SOVERS)/cint7                    \
+               -X$(PREFIX)/include/root/Minuit2
+ #             $(foreach i, \
+diff -Naur root.as-needed/cint/cintex/Module.mk root/cint/cintex/Module.mk
+--- root.as-needed/cint/cintex/Module.mk       2011-07-10 10:42:49.104889217 
+0400
++++ root/cint/cintex/Module.mk 2011-07-10 10:43:21.496672876 +0400
+@@ -31,10 +31,6 @@
+ CINTEXPY     := $(subst $(MODDIR)/python,$(LPATH),$(CINTEXPYS))
+ $(LPATH)/%.py: $(MODDIR)/python/%.py; cp $< $@
+ endif
+-ifneq ($(BUILDPYTHON),no)
+-CINTEXPYC    := $(CINTEXPY:.py=.pyc)
+-CINTEXPYO    := $(CINTEXPY:.py=.pyo)
+-endif
+ 
+ # used in the main Makefile
+ ALLHDRS      += $(patsubst 
$(MODDIRI)/Cintex/%.h,include/Cintex/%.h,$(CINTEXH))
+@@ -86,8 +82,6 @@
+               fi)
+               cp $< $@
+ 
+-%.pyc: %.py;    python -c 'import py_compile; py_compile.compile( "$<" )'
+-%.pyo: %.py;    python -O -c 'import py_compile; py_compile.compile( "$<" )'
+ 
+ $(CINTEXLIB):   $(CINTEXO) $(CINTEXPY) $(CINTEXPYC) $(CINTEXPYO) \
+                 $(ORDER_) $(subst $(CINTEXLIB),,$(MAINLIBS)) $(CINTEXLIBDEP)
+diff -Naur root.as-needed/cint/reflex/Module.mk root/cint/reflex/Module.mk
+--- root.as-needed/cint/reflex/Module.mk       2011-07-10 10:42:49.074890651 
+0400
++++ root/cint/reflex/Module.mk 2011-07-10 10:43:21.496672876 +0400
+@@ -48,9 +48,6 @@
+ RFLX_GRFLXS   := $(wildcard $(RFLX_GRFLXSD)/*.py)
+ RFLX_GRFLXPY  := $(patsubst 
$(RFLX_GRFLXSD)/%.py,$(RFLX_GRFLXDD)/%.py,$(RFLX_GRFLXS))
+ RFLX_GRFLXPY  += $(RFLX_GCCXMLPATHPY)
+-ifneq ($(BUILDPYTHON),no)
+-RFLX_GRFLXPYC := $(subst .py,.pyc,$(RFLX_GRFLXPY))
+-endif
+ 
+ RFLX_LIBDIR = $(LIBDIR)
+ 
+@@ -92,7 +89,7 @@
+ 
+ ALLEXECS += $(RFLX_GENMAPX)
+ 
+-POSTBIN  += $(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
++POSTBIN  += $(RFLX_GRFLXPY)
+ 
+ ##### local rules #####
+ .PHONY:         all-$(MODNAME) clean-$(MODNAME) distclean-$(MODNAME) \
+@@ -122,8 +119,6 @@
+                 mkdir -p lib/python/genreflex; fi )
+               cp $< $@
+ 
+-$(RFLX_GRFLXDD)/%.pyc: $(RFLX_GRFLXDD)/%.py
+-              @python -c 'import py_compile; py_compile.compile( "$<" )'
+ 
+ $(RFLX_GENMAPO) : CXXFLAGS += -I$(REFLEXDIRS)/genmap
+ 
+@@ -149,7 +144,7 @@
+               $(RLIBMAP) -o $@ -l $(REFLEXDICTLIB) \
+                  -d $(REFLEXDICTLIBDEPM) -c $(REFLEXL)
+ 
+-all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) 
$(RFLX_GRFLXPYC) $(RFLX_GRFLXPY)
++all-$(MODNAME): $(REFLEXLIB) $(REFLEXDICTLIB) $(REFLEXDICTMAP) $(RFLX_GRFLXPY)
+ 
+ clean-genreflex:
+               @rm -rf lib/python/genreflex
+diff -Naur root.as-needed/cint/reflex/python/CMakeLists.txt 
root/cint/reflex/python/CMakeLists.txt
+--- root.as-needed/cint/reflex/python/CMakeLists.txt   2011-07-10 
10:42:49.074890651 +0400
++++ root/cint/reflex/python/CMakeLists.txt     2011-07-10 10:43:21.496672876 
+0400
+@@ -15,7 +15,7 @@
+ #####################   sources   ####################
+ 
+ FILE(GLOB_RECURSE GENREFLEX_SRCS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} 
genreflex/*.py)
+-SET(GENREFLEX_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/genreflex/genreflex.pyc 
PARENT_SCOPE)
++SET(GENREFLEX_SCRIPT PARENT_SCOPE)
+ 
+ #####################  gccxmlpath ####################
+ 

diff --git a/sci-physics/root/files/root-5.34.18-tutorials-path.patch 
b/sci-physics/root/files/root-5.34.18-tutorials-path.patch
new file mode 100644
index 0000000..8bf8859
--- /dev/null
+++ b/sci-physics/root/files/root-5.34.18-tutorials-path.patch
@@ -0,0 +1,94 @@
+diff --git a/config/RConfigure.in b/config/RConfigure.in
+index 5950401..e4fbfbf 100644
+--- a/config/RConfigure.in
++++ b/config/RConfigure.in
+@@ -11,6 +11,7 @@
+ #define ROOTDATADIR   "@datadir@"
+ #define ROOTDOCDIR    "@docdir@"
+ #define ROOTMACRODIR  "@macrodir@"
++#define ROOTTUTDIR    "@tutdir@"
+ #define ROOTSRCDIR    "@srcdir@"
+ #define ROOTICONPATH  "@iconpath@"
+ #define EXTRAICONPATH "@extraiconpath@"
+diff --git a/configure b/configure
+index 131df92..2c8ea95 100755
+--- a/configure
++++ b/configure
+@@ -7537,6 +7537,7 @@ sed \
+     -e "s|@prefix@|$prefix|"               \
+     -e "s|@srcdir@|$srcdir|"               \
+     -e "s|@ttffontdir@|$fontdir|"          \
++    -e "s|@tutdir@|$tutdir|"               \
+     -e "s|@setresuid@|$setresuid|"         \
+     -e "s|@hasmathmore@|$hasmathmore|"     \
+     -e "s|@haspthread@|$haspthread|"       \
+diff --git a/core/base/src/TApplication.cxx b/core/base/src/TApplication.cxx
+index 95fb1e5..3830955 100644
+--- a/core/base/src/TApplication.cxx
++++ b/core/base/src/TApplication.cxx
+@@ -794,6 +794,22 @@ Long_t TApplication::ProcessRemote(const char *line, 
Int_t *)
+    return 1;
+ }
+ 
++namespace {
++   static int PrintFile(const char* filename) {
++      TString sFileName(filename);
++      gSystem->ExpandPathName(sFileName);
++      if (gSystem->AccessPathName(sFileName)) {
++         Error("ProcessLine()", "Cannot find file %s", filename);
++         return 1;
++      }
++      std::ifstream instr(sFileName);
++      TString content;
++      content.ReadFile(instr);
++      Printf("%s", content.Data());
++      return 0;
++   }
++}
++
+ 
//______________________________________________________________________________
+ Long_t TApplication::ProcessLine(const char *line, Bool_t sync, Int_t *err)
+ {
+@@ -827,11 +843,41 @@ Long_t TApplication::ProcessLine(const char *line, 
Bool_t sync, Int_t *err)
+       return 0;
+    }
+ 
+-   if (!strncmp(line, "?", 1)) {
++   if (!strncmp(line, "?", 1) || !strncmp(line, ".help", 5)) {
+       Help(line);
+       return 1;
+    }
+ 
++   if (!strncmp(line, ".demo", 5)) {
++      if (gROOT->IsBatch()) {
++         Error("ProcessLine", "Cannot show demos in batch mode!");
++         return 1;
++      }
++#ifdef ROOTTUTDIR
++      ProcessLine(".x " ROOTTUTDIR "/demos.C");
++#else
++      ProcessLine(".x $(ROOTSYS)/tutorials/demos.C");
++#endif
++      return 0;
++   }
++
++   if (!strncmp(line, ".license", 8)) {
++#ifdef ROOTDOCDIR
++      return PrintFile(ROOTDOCDIR "/LICENSE");
++#else
++      return PrintFile("$(ROOTSYS)/LICENSE");
++#endif
++   }
++
++   if (!strncmp(line, ".credits", 8)) {
++#ifdef ROOTDOCDIR
++      return PrintFile(ROOTDOCDIR "/CREDITS");
++#else
++      return PrintFile("$(ROOTSYS)/README/CREDITS");
++#endif
++     
++   }
++
+    if (!strncmp(line, ".pwd", 4)) {
+       if (gDirectory)
+          Printf("Current directory: %s", gDirectory->GetPath());

diff --git a/sci-physics/root/metadata.xml b/sci-physics/root/metadata.xml
index 2a666cf..622d99a 100644
--- a/sci-physics/root/metadata.xml
+++ b/sci-physics/root/metadata.xml
@@ -17,12 +17,14 @@
   GUI toolkit, and a complete visualization framework.
 </longdescription>
 <use>
+  <flag name="c++0x"> Build ROOT using the C++11 standard. Not supported, 
requires <pkg>sys-devel/gcc</pkg>&gt;=4.7.0</flag>
   <flag name="fits">Support for images and data from FITS files with 
<pkg>sci-libs/cfitsio</pkg></flag>
   <flag name="geocad">Enable ROOT-CAD interface using 
<pkg>sci-libs/opencascade</pkg></flag>
   <flag name="http">Enable http server support including but not limited to 
fastcgi support</flag>
   <flag name="math">Build all math related libraries plugins, needs 
<pkg>sci-libs/gsl</pkg> </flag>
   <flag name="pythia6">Build the interface for <pkg>sci-physics/pythia</pkg> 
version 6.x </flag>
   <flag name="pythia8">Build the interface for <pkg>sci-physics/pythia</pkg> 
version 8.x </flag>
+  <flag name="reflex">Build the reflection database for the C++ 
interpreter</flag>
   <flag name="xrootd">Build the interface for <pkg>net-libs/xrootd</pkg> 
</flag>
 </use>
 </pkgmetadata>

diff --git a/sci-physics/root/root-5.34.18-r2.ebuild 
b/sci-physics/root/root-5.34.18-r2.ebuild
new file mode 100644
index 0000000..072b81d
--- /dev/null
+++ b/sci-physics/root/root-5.34.18-r2.ebuild
@@ -0,0 +1,387 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/root-5.34.18-r1.ebuild,v 
1.3 2014/03/27 18:51:54 bicatali Exp $
+
+EAPI=5
+
+if [[ ${PV} == "9999" ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="http://root.cern.ch/git/root.git";
+       SRC_URI=""
+       KEYWORDS=""
+else
+       SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz";
+       KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+PYTHON_COMPAT=( python2_{6,7} )
+
+inherit elisp-common eutils fdo-mime fortran-2 multilib python-single-r1 \
+       toolchain-funcs user versionator
+
+DESCRIPTION="C++ data analysis framework and interpreter from CERN"
+HOMEPAGE="http://root.cern.ch/";
+DOC_URI="ftp://root.cern.ch/${PN}/doc";
+
+SLOT="0/$(get_version_component_range 1-3 ${PV})"
+LICENSE="LGPL-2.1 freedist MSttfEULA LGPL-3 libpng UoI-NCSA"
+IUSE="+X afs avahi c++0x doc emacs examples fits fftw graphviz
+       kerberos ldap +math minimal mpi mysql odbc +opengl openmp
+       oracle postgres prefix pythia6 pythia8 python qt4 +reflex
+       ruby sqlite     ssl xinetd xml xrootd"
+
+REQUIRED_USE="
+       !X? ( !opengl !qt4 )
+       mpi? ( math !openmp )
+       openmp? ( math !mpi )
+       python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="
+       app-arch/xz-utils:0=
+       >=dev-lang/cfortran-4.4-r2
+       dev-libs/libpcre:3=
+       media-fonts/dejavu
+       media-libs/freetype:2=
+       media-libs/giflib:0=
+       media-libs/libpng:0=
+       media-libs/tiff:0=
+       sys-libs/zlib:0=
+       virtual/jpeg:0
+       virtual/shadow
+       X? (
+               media-libs/ftgl:0=
+               media-libs/glew:0=
+               x11-libs/libX11:0=
+               x11-libs/libXext:0=
+               x11-libs/libXpm:0=
+               !minimal? (
+                       || (
+                               media-libs/libafterimage:0=[gif,jpeg,png,tiff]
+                               >=x11-wm/afterstep-2.2.11:0=[gif,jpeg,png,tiff]
+                       )
+                       opengl? ( virtual/opengl virtual/glu x11-libs/gl2ps:0= )
+                       qt4? (
+                               dev-qt/qtgui:4=
+                               dev-qt/qtopengl:4=
+                               dev-qt/qt3support:4=
+                               dev-qt/qtsvg:4=
+                               dev-qt/qtwebkit:4=
+                               dev-qt/qtxmlpatterns:4=
+                       )
+                       x11-libs/libXft:0=
+               )
+       )
+       !minimal? (
+               afs? ( net-fs/openafs )
+               avahi? ( net-dns/avahi:0= )
+               emacs? ( virtual/emacs )
+               fits? ( sci-libs/cfitsio:0= )
+               fftw? ( sci-libs/fftw:3.0= )
+               graphviz? ( media-gfx/graphviz:0= )
+               kerberos? ( virtual/krb5 )
+               ldap? ( net-nds/openldap:0= )
+               math? (
+                       sci-libs/gsl:0=
+                       sci-mathematics/unuran:0=
+                       mpi? ( virtual/mpi )
+               )
+               mysql? ( virtual/mysql )
+               odbc? ( || ( dev-db/libiodbc:0= dev-db/unixODBC:0= ) )
+               oracle? ( dev-db/oracle-instantclient-basic:0= )
+               postgres? ( dev-db/postgresql-base:= )
+               pythia6? ( sci-physics/pythia:6= )
+               pythia8? ( >=sci-physics/pythia-8.1.80:8= )
+               python? ( ${PYTHON_DEPS} )
+               ruby? (
+                       dev-lang/ruby
+                       dev-ruby/rubygems
+               )
+               sqlite? ( dev-db/sqlite:3= )
+               ssl? ( dev-libs/openssl:0= )
+               xml? ( dev-libs/libxml2:2= )
+               xrootd? ( >=net-libs/xrootd-3.3.5:0= )
+       )"
+
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+
+RDEPEND="${CDEPEND}
+       reflex? ( dev-cpp/gccxml )
+       xinetd? ( sys-apps/xinetd )"
+
+PDEPEND="doc? ( ~app-doc/root-docs-${PV}[math=] )"
+
+S="${WORKDIR}/${PN}"
+
+# install stuff in ${P} and not ${PF} for easier tracking in root-docs
+DOC_DIR="/usr/share/doc/${P}"
+
+pkg_setup() {
+       fortran-2_pkg_setup
+       use python && python-single-r1_pkg_setup
+       echo
+       elog "There are extra options on packages not yet in Gentoo:"
+       elog "Afdsmgrd, AliEn, castor, Chirp, dCache, gfal, Globus, gLite,"
+       elog "HDFS, Monalisa, MaxDB/SapDB, SRP."
+       elog "You can use the env variable EXTRA_ECONF variable for this."
+       elog "For example, for SRP, you would set: "
+       elog "EXTRA_ECONF=\"--enable-srp 
--with-srp-libdir=${EROOT%/}/usr/$(get_libdir)\""
+       echo
+
+       enewgroup rootd
+       enewuser rootd -1 -1 /var/spool/rootd rootd
+
+       use minimal && return
+
+       if use math; then
+               if use openmp; then
+                       if [[ $(tc-getCXX)$ == *g++* ]] && ! tc-has-openmp; then
+                               ewarn "You are using a g++ without OpenMP 
capabilities"
+                               die "Need an OpenMP capable compiler"
+                       else
+                               export USE_OPENMP=1 USE_PARALLEL_MINUIT2=1
+                       fi
+               elif use mpi; then
+                       export USE_MPI=1 USE_PARALLEL_MINUIT2=1
+               fi
+       fi
+       if use c++0x && [[ $(tc-getCXX) == *g++* ]] && \
+               ! version_is_at_least "4.7" "$(gcc-version)"; then
+               eerror "You are using a g++ without C++0x capabilities"
+               die "Need an C++0x capable compiler"
+       fi
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${PN}-5.28.00b-glibc212.patch \
+               "${FILESDIR}"/${PN}-5.32.00-prop-flags.patch \
+               "${FILESDIR}"/${PN}-5.32.00-afs.patch \
+               "${FILESDIR}"/${PN}-5.32.00-cfitsio.patch \
+               "${FILESDIR}"/${PN}-5.32.00-chklib64.patch \
+               "${FILESDIR}"/${PN}-5.32.00-dotfont.patch \
+               "${FILESDIR}"/${PN}-5.34.05-nobyte-compile.patch \
+               "${FILESDIR}"/${PN}-5.34.13-unuran.patch \
+               "${FILESDIR}"/${PN}-5.34.13-desktop.patch \
+               "${FILESDIR}"/${PN}-5.34.18-tutorials-path.patch
+
+       # make sure we use system libs and headers
+       rm montecarlo/eg/inc/cfortran.h README/cfortran.doc || die
+       rm -r graf2d/asimage/src/libAfterImage || die
+       rm -r graf3d/ftgl/{inc,src} || die
+       rm -r graf2d/freetype/src || die
+       rm -r graf3d/glew/{inc,src} || die
+       rm -r core/pcre/src || die
+       rm -r math/unuran/src/unuran-*.tar.gz || die
+       LANG=C LC_ALL=C find core/zip -type f -name "[a-z]*" -print0 | \
+               xargs -0 rm || die
+       rm -r core/lzma/src/*.tar.gz || die
+       rm graf3d/gl/{inc,src}/gl2ps.* || die
+       sed -i -e 's/^GLLIBS *:= .* $(OPENGLLIB)/& -lgl2ps/' \
+               graf3d/gl/Module.mk || die
+
+       # In Gentoo, libPythia6 is called libpythia6
+       # iodbc is in /usr/include/iodbc
+       # pg_config.h is checked instead of libpq-fe.h
+       sed -i \
+               -e 's:libPythia6:libpythia6:g' \
+               -e 's:$ODBCINCDIR:$ODBCINCDIR /usr/include/iodbc:' \
+               -e 's:libpq-fe.h:pg_config.h:' \
+               configure || die "adjusting configure for Gentoo failed"
+
+       # prefixify the configure script
+       sed -i \
+               -e 's:/usr:${EPREFIX}/usr:g' \
+               configure || die "prefixify configure failed"
+
+       # fix reflex path (bug #497280)
+       sed -i -e 's|${ROOTSYS}/lib|@libdir@|' config/genreflex.in || die
+
+       # QTDIR only used for qt3 in gentoo, and configure looks for it.
+       unset QTDIR
+}
+
+src_configure() {
+
+       # the configure script is not the standard autotools
+       local myconf=(
+               --prefix="${EPREFIX}/usr"
+               --etcdir="${EPREFIX}/etc/root"
+               --libdir="${EPREFIX}/usr/$(get_libdir)/${PN}"
+               --docdir="${EPREFIX}${DOC_DIR}"
+               --tutdir="${EPREFIX}${DOC_DIR}/examples/tutorials"
+               --testdir="${EPREFIX}${DOC_DIR}/examples/tests"
+               --with-cc="$(tc-getCC)"
+               --with-cxx="$(tc-getCXX)"
+               --with-f77="$(tc-getFC)"
+               --with-ld="$(tc-getCXX)"
+               --nohowto
+       )
+
+       if use minimal; then
+               myconf+=( $(usex X --gminimal --minimal) )
+       else
+               myconf+=(
+                       --with-afs-shared=yes
+                       --with-sys-iconpath="${EPREFIX}/usr/share/pixmaps"
+                       --disable-builtin-afterimage
+                       --disable-builtin-ftgl
+                       --disable-builtin-freetype
+                       --disable-builtin-glew
+                       --disable-builtin-pcre
+                       --disable-builtin-zlib
+                       --disable-builtin-lzma
+                       --disable-cling
+                       --enable-astiff
+                       --enable-explicitlink
+                       --enable-gdml
+                       --enable-memstat
+                       --enable-shadowpw
+                       --enable-shared
+                       --enable-soversion
+                       --enable-table
+                       --fail-on-missing
+                       $(use_enable X x11)
+                       $(use_enable X asimage)
+                       $(use_enable X xft)
+                       $(use_enable afs)
+                       $(use_enable avahi bonjour)
+                       $(use_enable c++0x cxx11)
+                       $(use_enable fits fitsio)
+                       $(use_enable fftw fftw3)
+                       $(use_enable graphviz gviz)
+                       $(use_enable kerberos krb5)
+                       $(use_enable ldap)
+                       $(use_enable math gsl-shared)
+                       $(use_enable math genvector)
+                       $(use_enable math mathmore)
+                       $(use_enable math minuit2)
+                       $(use_enable math roofit)
+                       $(use_enable math tmva)
+                       $(use_enable math unuran)
+                       $(use_enable mysql)
+                       $(use_enable odbc)
+                       $(use_enable opengl)
+                       $(use_enable oracle)
+                       $(use_enable postgres pgsql)
+                       $(usex postgres \
+                               "--with-pgsql-incdir=$(pg_config --includedir)" 
"")
+                       $(use_enable prefix rpath)
+                       $(use_enable pythia6)
+                       $(use_enable pythia8)
+                       $(use_enable python)
+                       $(use_enable qt4 qt)
+                       $(use_enable qt4 qtgsi)
+                       $(use_enable reflex cintex)
+                       $(use_enable reflex)
+                       $(use_enable ruby)
+                       $(use_enable sqlite)
+                       $(use_enable ssl)
+                       $(use_enable xml)
+                       $(use_enable xrootd)
+                       ${EXTRA_ECONF}
+               )
+       fi
+
+       ./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+       emake \
+               OPT="${CXXFLAGS}" \
+               F77OPT="${FFLAGS}" \
+               ROOTSYS="${S}" \
+               LD_LIBRARY_PATH="${S}/lib"
+       use emacs && ! use minimal && elisp-compile build/misc/*.el
+}
+
+daemon_install() {
+       local daemons="rootd proofd"
+       dodir /var/spool/rootd
+       fowners rootd:rootd /var/spool/rootd
+       dodir /var/spool/rootd/{pub,tmp}
+       fperms 1777 /var/spool/rootd/{pub,tmp}
+
+       for i in ${daemons}; do
+               newinitd "${FILESDIR}"/${i}.initd ${i}
+               newconfd "${FILESDIR}"/${i}.confd ${i}
+       done
+       if use xinetd; then
+               insinto /etc/xinetd
+               doins "${S}"/etc/daemons/{rootd,proofd}.xinetd
+       fi
+}
+
+desktop_install() {
+       cd "${S}"
+       echo "Icon=root-system-bin" >> etc/root.desktop
+       domenu etc/root.desktop
+       doicon build/package/debian/root-system-bin.png
+
+       insinto /usr/share/icons/hicolor/48x48/mimetypes
+       doins build/package/debian/application-x-root.png
+
+       insinto /usr/share/icons/hicolor/48x48/apps
+       doicon build/package/debian/root-system-bin.xpm
+}
+
+cleanup_install() {
+       # Cleanup of files either already distributed or unused on Gentoo
+       pushd "${ED}" > /dev/null
+       rm usr/share/root/fonts/LICENSE || die
+       rm etc/root/proof/*.sample || die
+       rm -r etc/root/daemons || die
+       # these should be in PATH
+       mv etc/root/proof/utils/pq2/pq2* usr/bin/ || die
+       rm ${DOC_DIR#/}/{INSTALL,LICENSE,COPYING.CINT} || die
+       use examples || rm -r ${DOC_DIR#/}/examples || die
+       cd usr/$(get_libdir)/root/cint/cint
+       rm lib/posix/mktypes lib/dll_stl/setup lib/G__* || die
+       rm lib/dll_stl/G__* lib/dll_stl/rootcint_* lib/posix/exten.o || die
+       rm include/makehpib || die
+       popd > /dev/null
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       echo "LDPATH=${EPREFIX%/}/usr/$(get_libdir)/root" > 99root
+
+       if ! use minimal; then
+               use pythia8 && echo "PYTHIA8=${EPREFIX%/}/usr" >> 99root
+               if use python; then
+                       echo "PYTHONPATH=${EPREFIX%/}/usr/$(get_libdir)/root" 
>> 99root
+                       python_optimize "${D}/usr/$(get_libdir)/root"
+               fi
+               use ruby && \
+                       echo "RUBYLIB=${EPREFIX%/}/usr/$(get_libdir)/root" >> 
99root
+               use emacs && elisp-install ${PN} build/misc/*.{el,elc}
+               if use examples; then
+                       # these should really be taken care of by the root make 
install
+                       insinto ${DOC_DIR}/examples/tutorials/tmva
+                       doins -r tmva/test
+               fi
+       fi
+       doenvd 99root
+
+       # The build system installs Emacs support unconditionally in the wrong
+       # directory. Remove it and call elisp-install in case of USE=emacs.
+       rm -r "${ED}"/usr/share/emacs || die
+
+       daemon_install
+       desktop_install
+       cleanup_install
+
+       # do not copress files used by ROOT's CLI (.credit, .demo, .license)
+       docompress -x "${DOC_DIR}"/{CREDITS,LICENSE,examples/tutorials}
+       # needed for .license command to work
+       dosym "${ED}"usr/portage/licenses/LGPL-2.1 "${DOC_DIR}/LICENSE"
+}
+
+pkg_postinst() {
+       fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+       fdo-mime_desktop_database_update
+}

Reply via email to